cmake_minimum_required(VERSION 3.5)

project(MyApplication LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/modules/" ${CMAKE_MODULE_PATH})
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)

set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

if(ANDROID)
  set(ANDROID_PACKAGE_SOURCE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/android")
  if (ANDROID_ABI STREQUAL "armeabi-v7a")
    set(ANDROID_EXTRA_LIBS
      ${CMAKE_CURRENT_SOURCE_DIR}/path/to/libcrypto.so
      ${CMAKE_CURRENT_SOURCE_DIR}/path/to/libssl.so)
  endif()
endif()

add_subdirectory(src)
